lapll(3)

NAME
lapll - lapll: linear dependence of 2 vectors

SYNOPSIS

  Functions
subroutine clapll (n, x, incx, y, incy, ssmin)
CLAPLL measures the linear dependence of two vectors.
subroutine dlapll (n, x, incx, y, incy, ssmin)
DLAPLL measures the linear dependence of two vectors.
subroutine slapll (n, x, incx, y, incy, ssmin)
SLAPLL measures the linear dependence of two vectors.
subroutine zlapll (n, x, incx, y, incy, ssmin)
ZLAPLL measures the linear dependence of two vectors.

Detailed Description

Function Documentation

  subroutine clapll (integer n, complex, dimension( * ) x, integer incx, complex, dimension( * ) y, integer incy, real ssmin)

CLAPLL measures the linear dependence of two vectors.

Purpose:

     Given two column vectors X and Y, let
                          A = ( X Y ).
     The subroutine first computes the QR factorization of A = Q*R,
     and then computes the SVD of the 2-by-2 upper triangular matrix R.
     The smaller singular value of R is returned in SSMIN, which is used
     as the measurement of the linear dependency of the vectors X and Y.

Parameters
    N

              N is INTEGER
              The length of the vectors X and Y.

    X

              X is COMPLEX array, dimension (1+(N-1)*INCX)
              On entry, X contains the N-vector X.
              On exit, X is overwritten.

    INCX

              INCX is INTEGER
              The increment between successive elements of X. INCX > 0.

    Y

              Y is COMPLEX array, dimension (1+(N-1)*INCY)
              On entry, Y contains the N-vector Y.
              On exit, Y is overwritten.

    INCY

              INCY is INTEGER
              The increment between successive elements of Y. INCY > 0.

    SSMIN

              SSMIN is REAL
              The smallest singular value of the N-by-2 matrix A = ( X Y ).

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 99 of file clapll.f.

  subroutine dlapll (integer n, double precision, dimension( * ) x, integer incx, double precision, dimension( * ) y, integer incy, double precision ssmin)

DLAPLL measures the linear dependence of two vectors.

Purpose:

     Given two column vectors X and Y, let
                          A = ( X Y ).
     The subroutine first computes the QR factorization of A = Q*R,
     and then computes the SVD of the 2-by-2 upper triangular matrix R.
     The smaller singular value of R is returned in SSMIN, which is used
     as the measurement of the linear dependency of the vectors X and Y.

Parameters
    N

              N is INTEGER
              The length of the vectors X and Y.

    X

              X is DOUBLE PRECISION array,
                             dimension (1+(N-1)*INCX)
              On entry, X contains the N-vector X.
              On exit, X is overwritten.

    INCX

              INCX is INTEGER
              The increment between successive elements of X. INCX > 0.

    Y

              Y is DOUBLE PRECISION array,
                             dimension (1+(N-1)*INCY)
              On entry, Y contains the N-vector Y.
              On exit, Y is overwritten.

    INCY

              INCY is INTEGER
              The increment between successive elements of Y. INCY > 0.

    SSMIN

              SSMIN is DOUBLE PRECISION
              The smallest singular value of the N-by-2 matrix A = ( X Y ).

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 101 of file dlapll.f.

  subroutine slapll (integer n, real, dimension( * ) x, integer incx, real, dimension( * ) y, integer incy, real ssmin)

SLAPLL measures the linear dependence of two vectors.

Purpose:

     Given two column vectors X and Y, let
                          A = ( X Y ).
     The subroutine first computes the QR factorization of A = Q*R,
     and then computes the SVD of the 2-by-2 upper triangular matrix R.
     The smaller singular value of R is returned in SSMIN, which is used
     as the measurement of the linear dependency of the vectors X and Y.

Parameters
    N

              N is INTEGER
              The length of the vectors X and Y.

    X

              X is REAL array,
                             dimension (1+(N-1)*INCX)
              On entry, X contains the N-vector X.
              On exit, X is overwritten.

    INCX

              INCX is INTEGER
              The increment between successive elements of X. INCX > 0.

    Y

              Y is REAL array,
                             dimension (1+(N-1)*INCY)
              On entry, Y contains the N-vector Y.
              On exit, Y is overwritten.

    INCY

              INCY is INTEGER
              The increment between successive elements of Y. INCY > 0.

    SSMIN

              SSMIN is REAL
              The smallest singular value of the N-by-2 matrix A = ( X Y ).

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 101 of file slapll.f.

  subroutine zlapll (integer n, complex*16, dimension( * ) x, integer incx, complex*16, dimension( * ) y, integer incy, double precision ssmin)

ZLAPLL measures the linear dependence of two vectors.

Purpose:

     Given two column vectors X and Y, let
                          A = ( X Y ).
     The subroutine first computes the QR factorization of A = Q*R,
     and then computes the SVD of the 2-by-2 upper triangular matrix R.
     The smaller singular value of R is returned in SSMIN, which is used
     as the measurement of the linear dependency of the vectors X and Y.

Parameters
    N

              N is INTEGER
              The length of the vectors X and Y.

    X

              X is COMPLEX*16 array, dimension (1+(N-1)*INCX)
              On entry, X contains the N-vector X.
              On exit, X is overwritten.

    INCX

              INCX is INTEGER
              The increment between successive elements of X. INCX > 0.

    Y

              Y is COMPLEX*16 array, dimension (1+(N-1)*INCY)
              On entry, Y contains the N-vector Y.
              On exit, Y is overwritten.

    INCY

              INCY is INTEGER
              The increment between successive elements of Y. INCY > 0.

    SSMIN

              SSMIN is DOUBLE PRECISION
              The smallest singular value of the N-by-2 matrix A = ( X Y ).

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 99 of file zlapll.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.